<div class="container">
  <section>
    <h1>Examen de Angular</h1>
    <h2>Hugo Casildo Pino</h2>
  </section>
    <form
      [formGroup]="loginForm"
      (ngSubmit)="onSubmit()"
    >   
      <mat-form-field
        class="ancho"
        appearance="fill"
      >
        <mat-label>Usuario</mat-label>
        <input
          matInput
          autocomplete="off"
          formControlName="usuario"  
        >
      </mat-form-field>
      <mat-form-field
        class="ancho"
        appearance="fill"
      >
        <mat-label>Contraseña</mat-label>
        <input
          matInput
          autocomplete="off"
          type="password"
          formControlName="contrasena"
        >
      </mat-form-field>
      <button
        mat-raised-button
        color="primary"
        [disabled]="!loginForm.valid"
        >
        Login
      </button>
    </form>
</div>